valackar/yii2-tinymce

Package for using the visual editor TinyMCEv5 in YII2

Installs: 2

Dependents: 0

Suggesters: 0

Security: 0

Stars: 0

Watchers: 1

Forks: 0

Open Issues: 0

Language:JavaScript

Type:yii2-extension

dev-main 2022-01-14 23:22 UTC

This package is auto-updated.

Last update: 2022-01-14 23:22:49 UTC


README

TinyMCE - WYSIWYG редактор для встраивания в веб-страницы.

Установка

Устанвливается через Composer

php composer.phar require --prefer-dist valackar/yii2-tinymce "*"

или добавить

valackar/yii2-tinymce: "*"

в разделе require вашего composer.json файла.

Использование

use valackar\tinymce\TinymceWidget;

echo $form->field($model, 'attrebuteName')->widget(TinymceWidget::className(), [
    'editorConfig' => [
        //конфигурация редактора(подробнее в офицальной документации, ссылки ниже)
    ]
])

Полезные ссылки

TinyMCE Configuration options reference - https://www.tiny.cloud/docs/configure/

TinyMCE API Reference - https://www.tiny.cloud/docs/api/